Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
ff0e:d000::/20
First address
ff0e:d000::
Last address
ff0e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
ff0e:d000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
d.e.0.f.f.ip6.arpa
Split into smaller subnets/28

ff0e:d000::/20 makes 256 subnets of /28.

Subnets
#SubnetLast address
1ff0e:d000::/28ff0e:d00f:ffff:ffff:ffff:ffff:ffff:ffff
2ff0e:d010::/28ff0e:d01f:ffff:ffff:ffff:ffff:ffff:ffff
3ff0e:d020::/28ff0e:d02f:ffff:ffff:ffff:ffff:ffff:ffff
4ff0e:d030::/28ff0e:d03f:ffff:ffff:ffff:ffff:ffff:ffff
5ff0e:d040::/28ff0e:d04f:ffff:ffff:ffff:ffff:ffff:ffff
6ff0e:d050::/28ff0e:d05f:ffff:ffff:ffff:ffff:ffff:ffff
7ff0e:d060::/28ff0e:d06f:ffff:ffff:ffff:ffff:ffff:ffff
8ff0e:d070::/28ff0e:d07f:ffff:ffff:ffff:ffff:ffff:ffff
9ff0e:d080::/28ff0e:d08f:ffff:ffff:ffff:ffff:ffff:ffff
10ff0e:d090::/28ff0e:d09f:ffff:ffff:ffff:ffff:ffff:ffff
11ff0e:d0a0::/28ff0e:d0af:ffff:ffff:ffff:ffff:ffff:ffff
12ff0e:d0b0::/28ff0e:d0bf:ffff:ffff:ffff:ffff:ffff:ffff
13ff0e:d0c0::/28ff0e:d0cf:ffff:ffff:ffff:ffff:ffff:ffff
14ff0e:d0d0::/28ff0e:d0df:ffff:ffff:ffff:ffff:ffff:ffff
15ff0e:d0e0::/28ff0e:d0ef:ffff:ffff:ffff:ffff:ffff:ffff
16ff0e:d0f0::/28ff0e:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
17ff0e:d100::/28ff0e:d10f:ffff:ffff:ffff:ffff:ffff:ffff
18ff0e:d110::/28ff0e:d11f:ffff:ffff:ffff:ffff:ffff:ffff
19ff0e:d120::/28ff0e:d12f:ffff:ffff:ffff:ffff:ffff:ffff
20ff0e:d130::/28ff0e:d13f:ffff:ffff:ffff:ffff:ffff:ffff
21ff0e:d140::/28ff0e:d14f:ffff:ffff:ffff:ffff:ffff:ffff
22ff0e:d150::/28ff0e:d15f:ffff:ffff:ffff:ffff:ffff:ffff
23ff0e:d160::/28ff0e:d16f:ffff:ffff:ffff:ffff:ffff:ffff
24ff0e:d170::/28ff0e:d17f:ffff:ffff:ffff:ffff:ffff:ffff
25ff0e:d180::/28ff0e:d18f:ffff:ffff:ffff:ffff:ffff:ffff
26ff0e:d190::/28ff0e:d19f:ffff:ffff:ffff:ffff:ffff:ffff
27ff0e:d1a0::/28ff0e:d1af:ffff:ffff:ffff:ffff:ffff:ffff
28ff0e:d1b0::/28ff0e:d1bf:ffff:ffff:ffff:ffff:ffff:ffff
29ff0e:d1c0::/28ff0e:d1cf:ffff:ffff:ffff:ffff:ffff:ffff
30ff0e:d1d0::/28ff0e:d1df:ffff:ffff:ffff:ffff:ffff:ffff
31ff0e:d1e0::/28ff0e:d1ef:ffff:ffff:ffff:ffff:ffff:ffff
32ff0e:d1f0::/28ff0e:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
33ff0e:d200::/28ff0e:d20f:ffff:ffff:ffff:ffff:ffff:ffff
34ff0e:d210::/28ff0e:d21f:ffff:ffff:ffff:ffff:ffff:ffff
35ff0e:d220::/28ff0e:d22f:ffff:ffff:ffff:ffff:ffff:ffff
36ff0e:d230::/28ff0e:d23f:ffff:ffff:ffff:ffff:ffff:ffff
37ff0e:d240::/28ff0e:d24f:ffff:ffff:ffff:ffff:ffff:ffff
38ff0e:d250::/28ff0e:d25f:ffff:ffff:ffff:ffff:ffff:ffff
39ff0e:d260::/28ff0e:d26f:ffff:ffff:ffff:ffff:ffff:ffff
40ff0e:d270::/28ff0e:d27f:ffff:ffff:ffff:ffff:ffff:ffff
41ff0e:d280::/28ff0e:d28f:ffff:ffff:ffff:ffff:ffff:ffff
42ff0e:d290::/28ff0e:d29f:ffff:ffff:ffff:ffff:ffff:ffff
43ff0e:d2a0::/28ff0e:d2af:ffff:ffff:ffff:ffff:ffff:ffff
44ff0e:d2b0::/28ff0e:d2bf:ffff:ffff:ffff:ffff:ffff:ffff
45ff0e:d2c0::/28ff0e:d2cf:ffff:ffff:ffff:ffff:ffff:ffff
46ff0e:d2d0::/28ff0e:d2df:ffff:ffff:ffff:ffff:ffff:ffff
47ff0e:d2e0::/28ff0e:d2ef:ffff:ffff:ffff:ffff:ffff:ffff
48ff0e:d2f0::/28ff0e:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
49ff0e:d300::/28ff0e:d30f:ffff:ffff:ffff:ffff:ffff:ffff
50ff0e:d310::/28ff0e:d31f:ffff:ffff:ffff:ffff:ffff:ffff
51ff0e:d320::/28ff0e:d32f:ffff:ffff:ffff:ffff:ffff:ffff
52ff0e:d330::/28ff0e:d33f:ffff:ffff:ffff:ffff:ffff:ffff
53ff0e:d340::/28ff0e:d34f:ffff:ffff:ffff:ffff:ffff:ffff
54ff0e:d350::/28ff0e:d35f:ffff:ffff:ffff:ffff:ffff:ffff
55ff0e:d360::/28ff0e:d36f:ffff:ffff:ffff:ffff:ffff:ffff
56ff0e:d370::/28ff0e:d37f:ffff:ffff:ffff:ffff:ffff:ffff
57ff0e:d380::/28ff0e:d38f:ffff:ffff:ffff:ffff:ffff:ffff
58ff0e:d390::/28ff0e:d39f:ffff:ffff:ffff:ffff:ffff:ffff
59ff0e:d3a0::/28ff0e:d3af:ffff:ffff:ffff:ffff:ffff:ffff
60ff0e:d3b0::/28ff0e:d3bf:ffff:ffff:ffff:ffff:ffff:ffff
61ff0e:d3c0::/28ff0e:d3cf:ffff:ffff:ffff:ffff:ffff:ffff
62ff0e:d3d0::/28ff0e:d3df:ffff:ffff:ffff:ffff:ffff:ffff
63ff0e:d3e0::/28ff0e:d3ef:ffff:ffff:ffff:ffff:ffff:ffff
64ff0e:d3f0::/28ff0e:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
65ff0e:d400::/28ff0e:d40f:ffff:ffff:ffff:ffff:ffff:ffff
66ff0e:d410::/28ff0e:d41f:ffff:ffff:ffff:ffff:ffff:ffff
67ff0e:d420::/28ff0e:d42f:ffff:ffff:ffff:ffff:ffff:ffff
68ff0e:d430::/28ff0e:d43f:ffff:ffff:ffff:ffff:ffff:ffff
69ff0e:d440::/28ff0e:d44f:ffff:ffff:ffff:ffff:ffff:ffff
70ff0e:d450::/28ff0e:d45f:ffff:ffff:ffff:ffff:ffff:ffff
71ff0e:d460::/28ff0e:d46f:ffff:ffff:ffff:ffff:ffff:ffff
72ff0e:d470::/28ff0e:d47f:ffff:ffff:ffff:ffff:ffff:ffff
73ff0e:d480::/28ff0e:d48f:ffff:ffff:ffff:ffff:ffff:ffff
74ff0e:d490::/28ff0e:d49f:ffff:ffff:ffff:ffff:ffff:ffff
75ff0e:d4a0::/28ff0e:d4af:ffff:ffff:ffff:ffff:ffff:ffff
76ff0e:d4b0::/28ff0e:d4bf:ffff:ffff:ffff:ffff:ffff:ffff
77ff0e:d4c0::/28ff0e:d4cf:ffff:ffff:ffff:ffff:ffff:ffff
78ff0e:d4d0::/28ff0e:d4df:ffff:ffff:ffff:ffff:ffff:ffff
79ff0e:d4e0::/28ff0e:d4ef:ffff:ffff:ffff:ffff:ffff:ffff
80ff0e:d4f0::/28ff0e:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
81ff0e:d500::/28ff0e:d50f:ffff:ffff:ffff:ffff:ffff:ffff
82ff0e:d510::/28ff0e:d51f:ffff:ffff:ffff:ffff:ffff:ffff
83ff0e:d520::/28ff0e:d52f:ffff:ffff:ffff:ffff:ffff:ffff
84ff0e:d530::/28ff0e:d53f:ffff:ffff:ffff:ffff:ffff:ffff
85ff0e:d540::/28ff0e:d54f:ffff:ffff:ffff:ffff:ffff:ffff
86ff0e:d550::/28ff0e:d55f:ffff:ffff:ffff:ffff:ffff:ffff
87ff0e:d560::/28ff0e:d56f:ffff:ffff:ffff:ffff:ffff:ffff
88ff0e:d570::/28ff0e:d57f:ffff:ffff:ffff:ffff:ffff:ffff
89ff0e:d580::/28ff0e:d58f:ffff:ffff:ffff:ffff:ffff:ffff
90ff0e:d590::/28ff0e:d59f:ffff:ffff:ffff:ffff:ffff:ffff
91ff0e:d5a0::/28ff0e:d5af:ffff:ffff:ffff:ffff:ffff:ffff
92ff0e:d5b0::/28ff0e:d5bf:ffff:ffff:ffff:ffff:ffff:ffff
93ff0e:d5c0::/28ff0e:d5cf:ffff:ffff:ffff:ffff:ffff:ffff
94ff0e:d5d0::/28ff0e:d5df:ffff:ffff:ffff:ffff:ffff:ffff
95ff0e:d5e0::/28ff0e:d5ef:ffff:ffff:ffff:ffff:ffff:ffff
96ff0e:d5f0::/28ff0e:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
97ff0e:d600::/28ff0e:d60f:ffff:ffff:ffff:ffff:ffff:ffff
98ff0e:d610::/28ff0e:d61f:ffff:ffff:ffff:ffff:ffff:ffff
99ff0e:d620::/28ff0e:d62f:ffff:ffff:ffff:ffff:ffff:ffff
100ff0e:d630::/28ff0e:d63f:ffff:ffff:ffff:ffff:ffff:ffff
101ff0e:d640::/28ff0e:d64f:ffff:ffff:ffff:ffff:ffff:ffff
102ff0e:d650::/28ff0e:d65f:ffff:ffff:ffff:ffff:ffff:ffff
103ff0e:d660::/28ff0e:d66f:ffff:ffff:ffff:ffff:ffff:ffff
104ff0e:d670::/28ff0e:d67f:ffff:ffff:ffff:ffff:ffff:ffff
105ff0e:d680::/28ff0e:d68f:ffff:ffff:ffff:ffff:ffff:ffff
106ff0e:d690::/28ff0e:d69f:ffff:ffff:ffff:ffff:ffff:ffff
107ff0e:d6a0::/28ff0e:d6af:ffff:ffff:ffff:ffff:ffff:ffff
108ff0e:d6b0::/28ff0e:d6bf:ffff:ffff:ffff:ffff:ffff:ffff
109ff0e:d6c0::/28ff0e:d6cf:ffff:ffff:ffff:ffff:ffff:ffff
110ff0e:d6d0::/28ff0e:d6df:ffff:ffff:ffff:ffff:ffff:ffff
111ff0e:d6e0::/28ff0e:d6ef:ffff:ffff:ffff:ffff:ffff:ffff
112ff0e:d6f0::/28ff0e:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
113ff0e:d700::/28ff0e:d70f:ffff:ffff:ffff:ffff:ffff:ffff
114ff0e:d710::/28ff0e:d71f:ffff:ffff:ffff:ffff:ffff:ffff
115ff0e:d720::/28ff0e:d72f:ffff:ffff:ffff:ffff:ffff:ffff
116ff0e:d730::/28ff0e:d73f:ffff:ffff:ffff:ffff:ffff:ffff
117ff0e:d740::/28ff0e:d74f:ffff:ffff:ffff:ffff:ffff:ffff
118ff0e:d750::/28ff0e:d75f:ffff:ffff:ffff:ffff:ffff:ffff
119ff0e:d760::/28ff0e:d76f:ffff:ffff:ffff:ffff:ffff:ffff
120ff0e:d770::/28ff0e:d77f:ffff:ffff:ffff:ffff:ffff:ffff
121ff0e:d780::/28ff0e:d78f:ffff:ffff:ffff:ffff:ffff:ffff
122ff0e:d790::/28ff0e:d79f:ffff:ffff:ffff:ffff:ffff:ffff
123ff0e:d7a0::/28ff0e:d7af:ffff:ffff:ffff:ffff:ffff:ffff
124ff0e:d7b0::/28ff0e:d7bf:ffff:ffff:ffff:ffff:ffff:ffff
125ff0e:d7c0::/28ff0e:d7cf:ffff:ffff:ffff:ffff:ffff:ffff
126ff0e:d7d0::/28ff0e:d7df:ffff:ffff:ffff:ffff:ffff:ffff
127ff0e:d7e0::/28ff0e:d7ef:ffff:ffff:ffff:ffff:ffff:ffff
128ff0e:d7f0::/28ff0e:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
129ff0e:d800::/28ff0e:d80f:ffff:ffff:ffff:ffff:ffff:ffff
130ff0e:d810::/28ff0e:d81f:ffff:ffff:ffff:ffff:ffff:ffff
131ff0e:d820::/28ff0e:d82f:ffff:ffff:ffff:ffff:ffff:ffff
132ff0e:d830::/28ff0e:d83f:ffff:ffff:ffff:ffff:ffff:ffff
133ff0e:d840::/28ff0e:d84f:ffff:ffff:ffff:ffff:ffff:ffff
134ff0e:d850::/28ff0e:d85f:ffff:ffff:ffff:ffff:ffff:ffff
135ff0e:d860::/28ff0e:d86f:ffff:ffff:ffff:ffff:ffff:ffff
136ff0e:d870::/28ff0e:d87f:ffff:ffff:ffff:ffff:ffff:ffff
137ff0e:d880::/28ff0e:d88f:ffff:ffff:ffff:ffff:ffff:ffff
138ff0e:d890::/28ff0e:d89f:ffff:ffff:ffff:ffff:ffff:ffff
139ff0e:d8a0::/28ff0e:d8af:ffff:ffff:ffff:ffff:ffff:ffff
140ff0e:d8b0::/28ff0e:d8bf:ffff:ffff:ffff:ffff:ffff:ffff
141ff0e:d8c0::/28ff0e:d8cf:ffff:ffff:ffff:ffff:ffff:ffff
142ff0e:d8d0::/28ff0e:d8df:ffff:ffff:ffff:ffff:ffff:ffff
143ff0e:d8e0::/28ff0e:d8ef:ffff:ffff:ffff:ffff:ffff:ffff
144ff0e:d8f0::/28ff0e:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
145ff0e:d900::/28ff0e:d90f:ffff:ffff:ffff:ffff:ffff:ffff
146ff0e:d910::/28ff0e:d91f:ffff:ffff:ffff:ffff:ffff:ffff
147ff0e:d920::/28ff0e:d92f:ffff:ffff:ffff:ffff:ffff:ffff
148ff0e:d930::/28ff0e:d93f:ffff:ffff:ffff:ffff:ffff:ffff
149ff0e:d940::/28ff0e:d94f:ffff:ffff:ffff:ffff:ffff:ffff
150ff0e:d950::/28ff0e:d95f:ffff:ffff:ffff:ffff:ffff:ffff
151ff0e:d960::/28ff0e:d96f:ffff:ffff:ffff:ffff:ffff:ffff
152ff0e:d970::/28ff0e:d97f:ffff:ffff:ffff:ffff:ffff:ffff
153ff0e:d980::/28ff0e:d98f:ffff:ffff:ffff:ffff:ffff:ffff
154ff0e:d990::/28ff0e:d99f:ffff:ffff:ffff:ffff:ffff:ffff
155ff0e:d9a0::/28ff0e:d9af:ffff:ffff:ffff:ffff:ffff:ffff
156ff0e:d9b0::/28ff0e:d9bf:ffff:ffff:ffff:ffff:ffff:ffff
157ff0e:d9c0::/28ff0e:d9cf:ffff:ffff:ffff:ffff:ffff:ffff
158ff0e:d9d0::/28ff0e:d9df:ffff:ffff:ffff:ffff:ffff:ffff
159ff0e:d9e0::/28ff0e:d9ef:ffff:ffff:ffff:ffff:ffff:ffff
160ff0e:d9f0::/28ff0e:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
161ff0e:da00::/28ff0e:da0f:ffff:ffff:ffff:ffff:ffff:ffff
162ff0e:da10::/28ff0e:da1f:ffff:ffff:ffff:ffff:ffff:ffff
163ff0e:da20::/28ff0e:da2f:ffff:ffff:ffff:ffff:ffff:ffff
164ff0e:da30::/28ff0e:da3f:ffff:ffff:ffff:ffff:ffff:ffff
165ff0e:da40::/28ff0e:da4f:ffff:ffff:ffff:ffff:ffff:ffff
166ff0e:da50::/28ff0e:da5f:ffff:ffff:ffff:ffff:ffff:ffff
167ff0e:da60::/28ff0e:da6f:ffff:ffff:ffff:ffff:ffff:ffff
168ff0e:da70::/28ff0e:da7f:ffff:ffff:ffff:ffff:ffff:ffff
169ff0e:da80::/28ff0e:da8f:ffff:ffff:ffff:ffff:ffff:ffff
170ff0e:da90::/28ff0e:da9f:ffff:ffff:ffff:ffff:ffff:ffff
171ff0e:daa0::/28ff0e:daaf:ffff:ffff:ffff:ffff:ffff:ffff
172ff0e:dab0::/28ff0e:dabf:ffff:ffff:ffff:ffff:ffff:ffff
173ff0e:dac0::/28ff0e:dacf:ffff:ffff:ffff:ffff:ffff:ffff
174ff0e:dad0::/28ff0e:dadf:ffff:ffff:ffff:ffff:ffff:ffff
175ff0e:dae0::/28ff0e:daef:ffff:ffff:ffff:ffff:ffff:ffff
176ff0e:daf0::/28ff0e:daff:ffff:ffff:ffff:ffff:ffff:ffff
177ff0e:db00::/28ff0e:db0f:ffff:ffff:ffff:ffff:ffff:ffff
178ff0e:db10::/28ff0e:db1f:ffff:ffff:ffff:ffff:ffff:ffff
179ff0e:db20::/28ff0e:db2f:ffff:ffff:ffff:ffff:ffff:ffff
180ff0e:db30::/28ff0e:db3f:ffff:ffff:ffff:ffff:ffff:ffff
181ff0e:db40::/28ff0e:db4f:ffff:ffff:ffff:ffff:ffff:ffff
182ff0e:db50::/28ff0e:db5f:ffff:ffff:ffff:ffff:ffff:ffff
183ff0e:db60::/28ff0e:db6f:ffff:ffff:ffff:ffff:ffff:ffff
184ff0e:db70::/28ff0e:db7f:ffff:ffff:ffff:ffff:ffff:ffff
185ff0e:db80::/28ff0e:db8f:ffff:ffff:ffff:ffff:ffff:ffff
186ff0e:db90::/28ff0e:db9f:ffff:ffff:ffff:ffff:ffff:ffff
187ff0e:dba0::/28ff0e:dbaf:ffff:ffff:ffff:ffff:ffff:ffff
188ff0e:dbb0::/28ff0e:dbbf:ffff:ffff:ffff:ffff:ffff:ffff
189ff0e:dbc0::/28ff0e:dbcf:ffff:ffff:ffff:ffff:ffff:ffff
190ff0e:dbd0::/28ff0e:dbdf:ffff:ffff:ffff:ffff:ffff:ffff
191ff0e:dbe0::/28ff0e:dbef:ffff:ffff:ffff:ffff:ffff:ffff
192ff0e:dbf0::/28ff0e:dbff:ffff:ffff:ffff:ffff:ffff:ffff
193ff0e:dc00::/28ff0e:dc0f:ffff:ffff:ffff:ffff:ffff:ffff
194ff0e:dc10::/28ff0e:dc1f:ffff:ffff:ffff:ffff:ffff:ffff
195ff0e:dc20::/28ff0e:dc2f:ffff:ffff:ffff:ffff:ffff:ffff
196ff0e:dc30::/28ff0e:dc3f:ffff:ffff:ffff:ffff:ffff:ffff
197ff0e:dc40::/28ff0e:dc4f:ffff:ffff:ffff:ffff:ffff:ffff
198ff0e:dc50::/28ff0e:dc5f:ffff:ffff:ffff:ffff:ffff:ffff
199ff0e:dc60::/28ff0e:dc6f:ffff:ffff:ffff:ffff:ffff:ffff
200ff0e:dc70::/28ff0e:dc7f:ffff:ffff:ffff:ffff:ffff:ffff
201ff0e:dc80::/28ff0e:dc8f:ffff:ffff:ffff:ffff:ffff:ffff
202ff0e:dc90::/28ff0e:dc9f:ffff:ffff:ffff:ffff:ffff:ffff
203ff0e:dca0::/28ff0e:dcaf:ffff:ffff:ffff:ffff:ffff:ffff
204ff0e:dcb0::/28ff0e:dcbf:ffff:ffff:ffff:ffff:ffff:ffff
205ff0e:dcc0::/28ff0e:dccf:ffff:ffff:ffff:ffff:ffff:ffff
206ff0e:dcd0::/28ff0e:dcdf:ffff:ffff:ffff:ffff:ffff:ffff
207ff0e:dce0::/28ff0e:dcef:ffff:ffff:ffff:ffff:ffff:ffff
208ff0e:dcf0::/28ff0e:dcff:ffff:ffff:ffff:ffff:ffff:ffff
209ff0e:dd00::/28ff0e:dd0f:ffff:ffff:ffff:ffff:ffff:ffff
210ff0e:dd10::/28ff0e:dd1f:ffff:ffff:ffff:ffff:ffff:ffff
211ff0e:dd20::/28ff0e:dd2f:ffff:ffff:ffff:ffff:ffff:ffff
212ff0e:dd30::/28ff0e:dd3f:ffff:ffff:ffff:ffff:ffff:ffff
213ff0e:dd40::/28ff0e:dd4f:ffff:ffff:ffff:ffff:ffff:ffff
214ff0e:dd50::/28ff0e:dd5f:ffff:ffff:ffff:ffff:ffff:ffff
215ff0e:dd60::/28ff0e:dd6f:ffff:ffff:ffff:ffff:ffff:ffff
216ff0e:dd70::/28ff0e:dd7f:ffff:ffff:ffff:ffff:ffff:ffff
217ff0e:dd80::/28ff0e:dd8f:ffff:ffff:ffff:ffff:ffff:ffff
218ff0e:dd90::/28ff0e:dd9f:ffff:ffff:ffff:ffff:ffff:ffff
219ff0e:dda0::/28ff0e:ddaf:ffff:ffff:ffff:ffff:ffff:ffff
220ff0e:ddb0::/28ff0e:ddbf:ffff:ffff:ffff:ffff:ffff:ffff
221ff0e:ddc0::/28ff0e:ddcf:ffff:ffff:ffff:ffff:ffff:ffff
222ff0e:ddd0::/28ff0e:dddf:ffff:ffff:ffff:ffff:ffff:ffff
223ff0e:dde0::/28ff0e:ddef:ffff:ffff:ffff:ffff:ffff:ffff
224ff0e:ddf0::/28ff0e:ddff:ffff:ffff:ffff:ffff:ffff:ffff
225ff0e:de00::/28ff0e:de0f:ffff:ffff:ffff:ffff:ffff:ffff
226ff0e:de10::/28ff0e:de1f:ffff:ffff:ffff:ffff:ffff:ffff
227ff0e:de20::/28ff0e:de2f:ffff:ffff:ffff:ffff:ffff:ffff
228ff0e:de30::/28ff0e:de3f:ffff:ffff:ffff:ffff:ffff:ffff
229ff0e:de40::/28ff0e:de4f:ffff:ffff:ffff:ffff:ffff:ffff
230ff0e:de50::/28ff0e:de5f:ffff:ffff:ffff:ffff:ffff:ffff
231ff0e:de60::/28ff0e:de6f:ffff:ffff:ffff:ffff:ffff:ffff
232ff0e:de70::/28ff0e:de7f:ffff:ffff:ffff:ffff:ffff:ffff
233ff0e:de80::/28ff0e:de8f:ffff:ffff:ffff:ffff:ffff:ffff
234ff0e:de90::/28ff0e:de9f:ffff:ffff:ffff:ffff:ffff:ffff
235ff0e:dea0::/28ff0e:deaf:ffff:ffff:ffff:ffff:ffff:ffff
236ff0e:deb0::/28ff0e:debf:ffff:ffff:ffff:ffff:ffff:ffff
237ff0e:dec0::/28ff0e:decf:ffff:ffff:ffff:ffff:ffff:ffff
238ff0e:ded0::/28ff0e:dedf:ffff:ffff:ffff:ffff:ffff:ffff
239ff0e:dee0::/28ff0e:deef:ffff:ffff:ffff:ffff:ffff:ffff
240ff0e:def0::/28ff0e:deff:ffff:ffff:ffff:ffff:ffff:ffff
241ff0e:df00::/28ff0e:df0f:ffff:ffff:ffff:ffff:ffff:ffff
242ff0e:df10::/28ff0e:df1f:ffff:ffff:ffff:ffff:ffff:ffff
243ff0e:df20::/28ff0e:df2f:ffff:ffff:ffff:ffff:ffff:ffff
244ff0e:df30::/28ff0e:df3f:ffff:ffff:ffff:ffff:ffff:ffff
245ff0e:df40::/28ff0e:df4f:ffff:ffff:ffff:ffff:ffff:ffff
246ff0e:df50::/28ff0e:df5f:ffff:ffff:ffff:ffff:ffff:ffff
247ff0e:df60::/28ff0e:df6f:ffff:ffff:ffff:ffff:ffff:ffff
248ff0e:df70::/28ff0e:df7f:ffff:ffff:ffff:ffff:ffff:ffff
249ff0e:df80::/28ff0e:df8f:ffff:ffff:ffff:ffff:ffff:ffff
250ff0e:df90::/28ff0e:df9f:ffff:ffff:ffff:ffff:ffff:ffff
251ff0e:dfa0::/28ff0e:dfaf:ffff:ffff:ffff:ffff:ffff:ffff
252ff0e:dfb0::/28ff0e:dfbf:ffff:ffff:ffff:ffff:ffff:ffff
253ff0e:dfc0::/28ff0e:dfcf:ffff:ffff:ffff:ffff:ffff:ffff
254ff0e:dfd0::/28ff0e:dfdf:ffff:ffff:ffff:ffff:ffff:ffff
255ff0e:dfe0::/28ff0e:dfef:ffff:ffff:ffff:ffff:ffff:ffff
256ff0e:dff0::/28ff0e:dfff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses